<form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30,30]">
        <div nz-col nzXs="24" nzLg="12">
            <mb-input-text
                [mbMaxLength]="200"
                mbPlaceholderText="--{{'staffAbs.workCalendar.name' | translate}}--"
                mbLabelText="{{'staffAbs.workCalendar.name' | translate}} <span class='label__required'>*</span>"
                [mbType]="isSubmitted && form.controls['name'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['name'].errors != null"
                [mbErrors]="form.controls['name'].errors"
                [mbErrorDefs]="[
                  { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendar.name' | translate }}
                  ,{ errorName: 'maxlength', errorDescription: 'staffAbs.validate.maxLength' | translate: {'numberLength': 200}}
                  ]"
                formControlName="name"></mb-input-text>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="workTimeList"
                mbKeyLabel="label"
                mbKeyValue="value"
                [mbType]="isSubmitted && form.controls['monWorkTime'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['monWorkTime'].errors != null"
                [mbErrors]="form.controls['monWorkTime'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendar.monWorkTime' | translate }}]"
                mbPlaceholder="--{{'staffAbs.workCalendar.monWorkTime' | translate}}--"
                mbLabelText="{{'staffAbs.workCalendar.monWorkTime' | translate}} <span class='label__required'>*</span>"
                formControlName="monWorkTime"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="workTimeList"
                mbKeyLabel="label"
                mbKeyValue="value"
                [mbType]="isSubmitted && form.controls['tueWorkTime'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['tueWorkTime'].errors != null"
                [mbErrors]="form.controls['tueWorkTime'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendar.tueWorkTime' | translate }}]"
                mbPlaceholder="--{{'staffAbs.workCalendar.tueWorkTime' | translate}}--"
                mbLabelText="{{'staffAbs.workCalendar.tueWorkTime' | translate}} <span class='label__required'>*</span>"
                formControlName="tueWorkTime"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="workTimeList"
                mbKeyLabel="label"
                mbKeyValue="value"
                [mbType]="isSubmitted && form.controls['wedWorkTime'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['wedWorkTime'].errors != null"
                [mbErrors]="form.controls['wedWorkTime'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendar.wedWorkTime' | translate }}]"
                mbPlaceholder="--{{'staffAbs.workCalendar.wedWorkTime' | translate}}--"
                mbLabelText="{{'staffAbs.workCalendar.wedWorkTime' | translate}} <span class='label__required'>*</span>"
                formControlName="wedWorkTime"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="workTimeList"
                mbKeyLabel="label"
                mbKeyValue="value"
                [mbType]="isSubmitted && form.controls['thuWorkTime'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['thuWorkTime'].errors != null"
                [mbErrors]="form.controls['thuWorkTime'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendar.thuWorkTime' | translate }}]"
                mbPlaceholder="--{{'staffAbs.workCalendar.thuWorkTime' | translate}}--"
                mbLabelText="{{'staffAbs.workCalendar.thuWorkTime' | translate}} <span class='label__required'>*</span>"
                formControlName="thuWorkTime"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="workTimeList"
                mbKeyLabel="label"
                mbKeyValue="value"
                [mbType]="isSubmitted && form.controls['friWorkTime'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['friWorkTime'].errors != null"
                [mbErrors]="form.controls['friWorkTime'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendar.friWorkTime' | translate }}]"
                mbPlaceholder="--{{'staffAbs.workCalendar.friWorkTime' | translate}}--"
                mbLabelText="{{'staffAbs.workCalendar.friWorkTime' | translate}} <span class='label__required'>*</span>"
                formControlName="friWorkTime"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="workTimeList"
                mbKeyLabel="label"
                mbKeyValue="value"
                [mbType]="isSubmitted && form.controls['satWorkTime'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['satWorkTime'].errors != null"
                [mbErrors]="form.controls['satWorkTime'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendar.satWorkTime' | translate }}]"
                mbPlaceholder="--{{'staffAbs.workCalendar.satWorkTime' | translate}}--"
                mbLabelText="{{'staffAbs.workCalendar.satWorkTime' | translate}} <span class='label__required'>*</span>"
                formControlName="satWorkTime"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="workTimeList"
                mbKeyLabel="label"
                mbKeyValue="value"
                [mbType]="isSubmitted && form.controls['sunWorkTime'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['sunWorkTime'].errors != null"
                [mbErrors]="form.controls['sunWorkTime'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendar.sunWorkTime' | translate }}]"
                mbPlaceholder="--{{'staffAbs.workCalendar.sunWorkTime' | translate}}--"
                mbLabelText="{{'staffAbs.workCalendar.sunWorkTime' | translate}} <span class='label__required'>*</span>"
                formControlName="sunWorkTime"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="24">
            <mb-input-text
                [mbMaxLength]="2000"
                mbPlaceholderText="--{{'staffAbs.workCalendar.defaultHodidayDate' | translate}}--"
                mbLabelText="{{'staffAbs.workCalendar.defaultHodidayDate' | translate}}"
                [mbType]="isSubmitted && form.controls['defaultHodidayDate'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['defaultHodidayDate'].errors != null"
                [mbErrors]="form.controls['defaultHodidayDate'].errors"
                [mbErrorDefs]="[{ errorName: 'maxLength', errorDescription: 'staffAbs.validate.maxLength' | translate: {'param': 'staffAbs.workCalendar.defaultHodidayDate' | translate }}
                ,{ errorName: 'invalidDefaultDate', errorDescription: 'staffAbs.workCalendar.validate.invalidDefaultDate' | translate: {'param': 'staffAbs.workCalendar.defaultHodidayDate' | translate }}]"
                formControlName="defaultHodidayDate"></mb-input-text>
        </div>
    </div>
</form>
